Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## emn.fr.ascola.view
Class PrefuseViewer.ComponentRenderer

    java.lang.Object
      prefuse.render.AbstractShapeRenderer
          prefuse.render.LabelRenderer
              emn.fr.ascola.view.PrefuseViewer.ComponentRenderer

All Implemented Interfaces:
  prefuse.render.Renderer

Direct Known Subclasses:
  PrefuseViewer.DataRenderer

Enclosing class:
  PrefuseViewer

    public class PrefuseViewer.ComponentRenderer

extends prefuse.render.LabelRenderer

Default label renderer for artefact: information and thickness adjustement. Round node for artefacts

Field Summary

Fields inherited from class prefuse.render.AbstractShapeRenderer
`RENDER_TYPE_DRAW, RENDER_TYPE_DRAW_AND_FILL, RENDER_TYPE_FILL, RENDER_TYPE_NONE`

Fields inherited from interface prefuse.render.Renderer
`DEFAULT_GRAPHICS`

Constructor Summary
`PrefuseViewer.ComponentRenderer()`

Method Summary
`java.awt.BasicStroke` | `getStroke(prefuse.visual.VisualItem vi)`
`java.lang.String` | `getText(prefuse.visual.VisualItem vi)`

Methods inherited from class prefuse.render.LabelRenderer
`getHorizontalAlignment, getHorizontalImageAlignment, getHorizontalPadding, getHorizontalTextAlignment, getImageFactory, getImageField, getImagePosition, getImageTextPadding, getTextField, getVerticalAlignment, getVerticalImageAlignment, getVerticalPadding, getVerticalTextAlignment, render, setHorizontalAlignment, setHorizontalImageAlignment, setHorizontalPadding, setHorizontalTextAlignment, setImageFactory, setImageField, setImagePosition, setImageTextPadding, setMaxImageDimensions, setMaxTextWidth, setRoundedCorner, setTextField, setVerticalAlignment, setVerticalImageAlignment, setVerticalPadding, setVerticalTextAlignment`

Methods inherited from class prefuse.render.AbstractShapeRenderer
`getRenderType, getShape, locatePoint, setBounds, setManageBounds, setRenderType`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrefuseViewer.ComponentRenderer

    public PrefuseViewer.ComponentRenderer()

Method Detail

### getText

    public java.lang.String getText(prefuse.visual.VisualItem vi)

  Overrides:
    `getText` in class `prefuse.render.LabelRenderer`

### getStroke

    public java.awt.BasicStroke getStroke(prefuse.visual.VisualItem vi)

  Overrides:
    `getStroke` in class `prefuse.render.AbstractShapeRenderer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD